Plugin manager

Dobrý den,

nainstaloval jsem na server modul plugin manager a mám propblém s tím, že když vyberu Hledat. tak mi nahlásí, že repository je out of date. Když jej dám updatovat, tak hlásí tuto chybu:

Fatal error: Class 'XMLReader' not found in /var/www/new.program-spz.cz/sites/all/modules/plugin_manager/plugin_manager.module on line 348

 

Ví někdo co s tím?
Díky

Fórum: 

Reklama

Stáhněte si aktuální verzi tohoto modulu a ujistěte se, že na webu máte PHP 5.2 nebo novější.

Tvořím weby. Nabízím poradenství pro Drupal. Jsem na Twitteru.

Dobrý den,

na serveru je PHP 5.2.9, PM stažen ze stránky http://drupal.org/project/plugin_manager. Problém přetrvává :-(

V tom případě asi vaše instalace PHP nebyl azkompilována s podporou xmlreaderu - http://drupal.org/node/579986. Koukněte do admin/reports/status/php, zda je tam XMLReader nastavený na Enabled.

Tvořím weby. Nabízím poradenství pro Drupal. Jsem na Twitteru.

Díky za odpověď,

vyzkoušel jsem Vaši radu a našel '--disable-xmlreader'.

To je problém, který nejspíš musím vyřešit se správcem serveru, že ano?

Ještě jeden dotaz, mám nainstalovaný modul XML sitemap - bude mi také dělat problémy? Zatím jsem to nezkoušel.

Díky.

XML Sitemap soubor XML vytváří, teoreticky by měl fungovat. Ale jinak ano, musíte to vyřešit se správcem serveru. Není důvod, aby byla podpora XML vypnuta.

Tvořím weby. Nabízím poradenství pro Drupal. Jsem na Twitteru.

Díky za odpověď!

Přidat komentář